<div class="message-log__container" *ngIf="vm$ | async as vm">
  <div class="ct-container">
    <div class="message-log__wrapper">
      @if(vm.isLoading){
      <ct-spinner />
      } @else {
      <ct-messages [messages]="vm.messages" [channelId]="vm.channelId" />
      }
      <ct-message-creator (submitMessage)="onSubmitMessage($event)" [channelId]="vm.channelId" />
    </div>
  </div>
  @if(vm.canSwitchChannels){
    <ct-channels></ct-channels>
  }
</div>
